package cn.com.poc.user.dto;

/**
 * @Author：Roger Wu
 * @name：MemberLoginResponseDto
 * @Date：2024-07-25 10:43
 */
public class MemberLoginResponseDto {
    /**
     * member_id
     * 会员id
     */
    private java.lang.Integer memberId;

    public java.lang.Integer getMemberId() {
        return this.memberId;
    }

    public void setMemberId(java.lang.Integer memberId) {
        this.memberId = memberId;
    }


    /**
     * nick_name
     * 用户昵称
     */
    private java.lang.String nickName;

    public java.lang.String getNickName() {
        return this.nickName;
    }

    public void setNickName(java.lang.String nickName) {
        this.nickName = nickName;
    }


    /**
     * avatar_url
     * 用户头像图片的 URL
     */
    private java.lang.String avatarUrl;

    public java.lang.String getAvatarUrl() {
        return this.avatarUrl;
    }

    public void setAvatarUrl(java.lang.String avatarUrl) {
        this.avatarUrl = avatarUrl;
    }


    /**
     * mobile_phone
     * 用户手机号
     */
    private java.lang.String mobilePhone;

    public java.lang.String getMobilePhone() {
        return this.mobilePhone;
    }

    public void setMobilePhone(java.lang.String mobilePhone) {
        this.mobilePhone = mobilePhone;
    }


    private String token;

    public String getToken() {
        return token;
    }

    public void setToken(String token) {
        this.token = token;
    }
}
